Subject: Re: [PATCH] usbnet/cdc_ncm: add missing .reset_resume hook

From: "Stefan (metze) Metzmacher" <[email-masked]>
Date: Tue, 07 Jun 2011 19:07:58 +0200

Am 07.06.2011 16:43, schrieb Greg KH:
> On Tue, Jun 07, 2011 at 09:38:12AM +0200, Stefan (metze) Metzmacher wrote:
>> Am 06.06.2011 17:06, schrieb Greg KH:
>>> On Mon, Jun 06, 2011 at 02:23:16PM +0200, Stefan (metze) Metzmacher wrote:
>>>> Hi David,
>>>>
>>>>> From: Stefan Metzmacher <[email-masked]>
>>>>> Date: Wed,  1 Jun 2011 14:01:41 +0200
>>>>>
>>>>>> This avoids messages like this after suspend:
>>>>>>
>>>>>>    cdc_ncm 2-1.4:1.6: no reset_resume for driver cdc_ncm?
>>>>>>    cdc_ncm 2-1.4:1.7: no reset_resume for driver cdc_ncm?
>>>>>>    cdc_ncm 2-1.4:1.6: usb0: unregister 'cdc_ncm' usb-0000:00:1d.0-1.4, CDC NCM
>>>>>>
>>>>>> This is important for the Ericsson F5521gw GSM/UMTS modem.
>>>>>> Otherwise modemmanager looses the fact that the cdc_ncm and cdc_acm devices
>>>>>> belong together.
>>>>>>
>>>>>> The cdc_ether module does the same.
>>>>>>
>>>>>> Signed-off-by: Stefan Metzmacher <[email-masked]>
>>>>>
>>>>> Applied and queued up for -stable, thanks.
>>>>
>>>> It seems to be part of 3.0-rc2, but I'm not seeing it in any stable tree
>>>> yet...
>>>>
>>>> When can I expect it in stable trees like 2.6.38.y?
>>>
>>> The .38.y tree is closed and will not have new releases, so you will
>>> never see it there, sorry.
>>
>> Ok, are there chances for .39.y?
> 
> There are, it requires the patch to be in Linus's tree first,

It's already there:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=85e3c65fa3a1d0542c181510a950a2be7733ff29

> please see Documentation/stable_kernel_rules.txt for the details.

Thanks for the pointer. It seems I've missed the Cc: <[email-masked]>
line(s).

Would this be the correct syntax in order to get it into 2.6.38.x and
2.6.39.x?
(2.6.38 wasn't closed at the time I submitted the patch)

Cc: <[email-masked]> # .38.x
Cc: <[email-masked]> # .39.x

Should I resubmit the patch, or can you just cherry pick
85e3c65fa3a1d0542c181510a950a2be7733ff29
from Linus's tree?

metze